### Method

# FwupdPlugin Firmware get_filename

since: 1.6.0

#### Declaration [src]

    const gchar*
    fu_firmware_get_filename (
      FuFirmware* self
    )

#### Description [src]

Gets an optional filename that represents the image source or destination.

Available since: 1.6.0

#### Return value

Type: `const gchar*`

A string, or `NULL`.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.